Delete Conversation Starter
curl --request DELETE \
--url https://sitegpt.ai/api/v0/chatbots/{chatbotId}/conversation-starters/{promptId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://sitegpt.ai/api/v0/chatbots/{chatbotId}/conversation-starters/{promptId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sitegpt.ai/api/v0/chatbots/{chatbotId}/conversation-starters/{promptId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Deleted conversation starter of the chatbot successfully",
"data": null
}{
"success": false,
"message": "Failed to delete conversation starter of the chatbot",
"data": null,
"error": {
"code": "PROMPT_ID_REQUIRED",
"message": "promptId is required",
"details": null
}
}{
"success": false,
"message": "Failed to delete conversation starter of the chatbot",
"data": null,
"error": {
"code": "API_KEY_NOT_VALID",
"message": "Authorization header does not contain valid API key",
"details": null
}
}{
"success": false,
"message": "Failed to delete conversation starter of the chatbot",
"data": null,
"error": {
"code": "CHATBOT_DELETE_QUICK_PROMPT_FORBIDDEN",
"message": "You are not authorized to delete conversation starter of this chatbot",
"details": null
}
}{
"success": false,
"message": "Failed to delete conversation starter of the chatbot",
"data": null,
"error": {
"code": "CHATBOT_PROMPT_NOT_FOUND",
"message": "Required prompt does not exist in this chatbot",
"details": null
}
}{
"success": false,
"message": "Failed to delete conversation starter of the chatbot",
"data": null,
"error": {
"code": "REQUEST_METHOD_NOT_ALLOWED",
"message": "request method is not allowed",
"details": null
}
}{
"success": false,
"message": "Failed to delete conversation starter of the chatbot",
"data": null,
"error": {
"code": "CHATBOT_DELETE_QUICK_PROMPT_FAILED",
"message": "Some technical error has occurred !!",
"details": null
}
}Conversation Starters
Delete Conversation Starter
Delete conversation-starter of the chatbot
DELETE
/
v0
/
chatbots
/
{chatbotId}
/
conversation-starters
/
{promptId}
Delete Conversation Starter
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Your Chatbot ID
Your Conversation Starter ID
Was this page helpful?
⌘I